<?php

namespace Drupal\entity_toolbar\Ajax;

use Drupal\Core\Ajax\CommandInterface;

class EntityToolbarLoadedCommand implements CommandInterface {
  protected $tab;

  public function __construct($tab)
  {
    $this->tab = $tab;
  }

  /**
   * Implements Drupal\Core\Ajax\CommandInterface:render().
   */
  public function render()
  {
    return [
      'command' => 'EntityToolbarLoadedCommand',
      'tab' => $this->tab,
    ];
  }
}
